Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.transaction.annotation
Class Ejb3TransactionAnnotationParser

    java.lang.Object
      org.springframework.transaction.annotation.Ejb3TransactionAnnotationParser

All Implemented Interfaces:
  Serializable, TransactionAnnotationParser

    public class Ejb3TransactionAnnotationParser

extends Object
implements TransactionAnnotationParser, Serializable

Strategy implementation for parsing EJB3's `TransactionAttribute` annotation.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`Ejb3TransactionAnnotationParser()`

Method Summary
`boolean` | `equals(Object other)`
`int` | `hashCode()`
`TransactionAttribute` | `parseTransactionAnnotation(AnnotatedElement ae)` Parse the transaction attribute for the given method or class, based on a known annotation type.
`TransactionAttribute` | `parseTransactionAnnotation(TransactionAttribute ann)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ejb3TransactionAnnotationParser

    public Ejb3TransactionAnnotationParser()

Method Detail

### parseTransactionAnnotation

    public TransactionAttribute parseTransactionAnnotation(AnnotatedElement ae)

  Description copied from interface: `TransactionAnnotationParser`
  Parse the transaction attribute for the given method or class, based on a known annotation type.

  This essentially parses a known transaction annotation into Spring's metadata attribute class. Returns `null` if the method/class is not transactional.

  Specified by:
    `parseTransactionAnnotation` in interface `TransactionAnnotationParser`
  Parameters:
    `ae` - the annotated method or class
  Returns:
    TransactionAttribute the configured transaction attribute, or `null` if none was found
  See Also:
    `AnnotationTransactionAttributeSource.determineTransactionAttribute(java.lang.reflect.AnnotatedElement)`

### parseTransactionAnnotation

    public TransactionAttribute parseTransactionAnnotation(TransactionAttribute ann)

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD